<?php

namespace FiloBlu\SocialStream\Helper;

class Data extends \Magento\Framework\App\Helper\AbstractHelper {

    public function __construct(
    \Magento\Framework\App\Helper\Context $context, \Magento\Framework\Math\Random $mathRandom
    ) {
        parent::__construct($context);
        $this->_mathRandom = $mathRandom;
    }

    public function getRandomString($length) {
        return $this->_mathRandom->getRandomString($length);
    }

    public function getConfig($config_path) {
        return $this->scopeConfig->getValue($config_path, \Magento\Store\Model\ScopeInterface::SCOPE_STORE);
    }

    public function configToken() {
        if ($this->getConfig("filoblu_socialstream_section/facebook/facebook_access_token")) {
            $GLOBALS['api']["facebook"]["facebook_access_token"] = $this->getConfig("filoblu_socialstream_section/facebook/facebook_access_token");
        }
        if ($this->getConfig("filoblu_socialstream_section/twitter/twitter_api_key") && $this->getConfig("filoblu_socialstream_section/twitter/twitter_api_secret") && $this->getConfig("filoblu_socialstream_section/twitter/twitter_access_token") && $this->getConfig("filoblu_socialstream_section/twitter/twitter_access_token_secret")) {
            $GLOBALS['api']["twitter"]["twitter_api_key"] = $this->getConfig("filoblu_socialstream_section/twitter/twitter_api_key");
            $GLOBALS['api']["twitter"]["twitter_api_secret"] = $this->getConfig("filoblu_socialstream_section/twitter/twitter_api_secret");
            $GLOBALS['api']["twitter"]["twitter_access_token"] = $this->getConfig("filoblu_socialstream_section/twitter/twitter_access_token");
            $GLOBALS['api']["twitter"]["twitter_api_key"] = $this->getConfig("filoblu_socialstream_section/twitter/twitter_access_token_secret");
        }
        if ($this->getConfig("filoblu_socialstream_section/google/google_api_key")) {
            $GLOBALS['api']["google"]["google_api_key"] = $this->getConfig("filoblu_socialstream_section/google/google_api_key");
        }
        if ($this->getConfig("filoblu_socialstream_section/instagram/instagram_access_token")) {
            $GLOBALS['api']["instagram"]["instagram_access_token"] = $this->getConfig("filoblu_socialstream_section/instagram/instagram_access_token");
        }
        if ($this->getConfig("filoblu_socialstream_section/flickr/flickr_api_key")) {
            $GLOBALS['api']["flickr"]["flickr_api_key"] = $this->getConfig("filoblu_socialstream_section/flickr/flickr_api_key");
        }
        if ($this->getConfig("filoblu_socialstream_section/tumblr/tumblr_api_key")) {
            $GLOBALS['api']["tumblr"]["tumblr_api_key"] = $this->getConfig("filoblu_socialstream_section/tumblr/tumblr_api_key");
        }
        if ($this->getConfig("filoblu_socialstream_section/soundcloud/soundcloud_client_id")) {
            $GLOBALS['api']["soundcloud"]["soundcloud_client_id"] = $this->getConfig("filoblu_socialstream_section/soundcloud/soundcloud_client_id");
        }
        if ($this->getConfig("filoblu_socialstream_section/linkedin/linkedin_access_token")) {
            $GLOBALS['api']["linkedin"]["linkedin_access_token"] = $this->getConfig("filoblu_socialstream_section/linkedin/linkedin_access_token");
        }
        if ($this->getConfig("filoblu_socialstream_section/vimeo/vimeo_access_token")) {
            $GLOBALS['api']["vimeo"]["vimeo_access_token"] = $this->getConfig("filoblu_socialstream_section/vimeo/vimeo_access_token");
        }
        if ($this->getConfig("filoblu_socialstream_section/vk/vk_service_token")) {
            $GLOBALS['api']["vk"]["vk_service_token"] = $this->getConfig("filoblu_socialstream_section/vk/vk_service_token");
        }
    }

    public function configTheme() {
        // Default colors
        $social_colors = array(
            'facebook' => $this->getConfig("filoblu_socialstream_section/facebook/social_color") ?: '#305790',
            'twitter' => $this->getConfig("filoblu_socialstream_section/twitter/social_color") ?: '#06d0fe',
            'google' => $this->getConfig("filoblu_socialstream_section/google/social_color") ?: '#c04d2e',
            'tumblr' => $this->getConfig("filoblu_socialstream_section/tumblr/social_color") ?: '#2E4E65',
            'delicious' => $this->getConfig("filoblu_socialstream_section/delicious/social_color") ?: '#2d6eae',
            'pinterest' => $this->getConfig("filoblu_socialstream_section/pinterest/social_color") ?: '#cb1218',
            'flickr' => $this->getConfig("filoblu_socialstream_section/flickr/social_color") ?: '#ff0185',
            'instagram' => $this->getConfig("filoblu_socialstream_section/instagram/social_color") ?: '#295477',
            'youtube' => $this->getConfig("filoblu_socialstream_section/youtube/social_color") ?: '#b80000',
            'vimeo' => $this->getConfig("filoblu_socialstream_section/vimeo/social_color") ?: '#00a0dc',
            'stumbleupon' => $this->getConfig("filoblu_socialstream_section/stumbleupon/social_color") ?: '#ec4415',
            'deviantart' => $this->getConfig("filoblu_socialstream_section/deviantart/social_color") ?: '#495d51',
            'rss' => $this->getConfig("filoblu_socialstream_section/rss/social_color") ?: '#d78b2d',
            'soundcloud' => $this->getConfig("filoblu_socialstream_section/soundcloud/social_color") ?: '#ff3300',
            'vk' => $this->getConfig("filoblu_socialstream_section/vk/social_color") ?: '#4c75a3',
            'linkedin' => $this->getConfig("filoblu_socialstream_section/linkedin/social_color") ?: '#1884BC',
            'vine' => $this->getConfig("filoblu_socialstream_section/vine/social_color") ?: '#39a97b'
        );

        // Themes
        $GLOBALS['themes'] = array(
            // Modern Light
            'sb-modern-light' => array(
                'layout' => 'modern',
                'font_size' => '11',
                'social_colors' => $social_colors,
                'social_icons' => '',
                'type_icons' => '',
                'custom_css' => '',
                'wall' => array(
                    //'background_color' => '#f3f3f3',
                    //'border_color' => '#d9d9d9',
                    //'border_size' => 1,
                    'background_image' => '',
                    'font_color' => '#000000',
                    'link_color' => '#305790',
                    'item_background_color' => '#ffffff',
                    'item_border_color' => '#e5e5e5',
                    'item_border_size' => 1
                ),
                'timeline' => array(
                    'background_color' => '',
                    'border_color' => '',
                    'border_size' => 0,
                    'background_image' => '',
                    'font_color' => '#000000',
                    'link_color' => '#305790',
                    'item_background_color' => '#ffffff',
                    'item_border_color' => '#e5e5e5',
                    'item_border_size' => 1
                ),
                'feed' => Array(
                    'title_background_color' => '#dd3333',
                    'title_color' => '#ffffff',
                    'background_color' => '#f2f2f2',
                    'border_color' => '#e5e5e5',
                    'border_size' => 1,
                    'background_image' => '',
                    'font_color' => '#000000',
                    'link_color' => '#305790',
                    'item_background_color' => '#ffffff',
                    'item_border_color' => '#e2e2e2',
                    'item_border_size' => 1
                ),
                'feed_sticky' => Array(
                    'title_background_color' => '#dd3333',
                    'title_color' => '#FFFFFF',
                    'opener_image' => '',
                    'background_color' => '#f2f2f2',
                    'border_color' => '#d6d6d6',
                    'border_size' => 1,
                    'background_image' => '',
                    'font_color' => '#000000',
                    'link_color' => '#305790',
                    'item_background_color' => '#ffffff',
                    'item_border_color' => '#e2e2e2',
                    'item_border_size' => 1
                ),
                'feed_carousel' => Array(
                    'title_background_color' => '#dd3333',
                    'title_color' => '#ffffff',
                    'background_color' => '#f2f2f2',
                    'border_color' => '#e5e5e5',
                    'border_size' => 1,
                    'background_image' => '',
                    'font_color' => '#000000',
                    'link_color' => '#305790',
                    'item_background_color' => '#ffffff',
                    'item_border_color' => '#e2e2e2',
                    'item_border_size' => 1
                )
            ),
            // Metro Dark
            'sb-metro-dark' => array(
                'layout' => 'metro',
                'font_size' => '11',
                'social_colors' => $social_colors,
                'type_icons' => '',
                'custom_css' => '',
                'wall' => Array(
                    //'background_color' => '#2d2d2d',
                    //'border_color' => '#280000',
                    //'border_size' => 1,
                    'background_image' => '',
                    'font_color' => '#ffffff',
                    'item_background_color' => '#444444',
                    'item_border_color' => '#050505',
                    'item_border_size' => 1
                ),
                'timeline' => Array(
                    //'background_color' => '#2d2d2d',
                    //'border_color' => '#280000',
                    //'border_size' => 1,
                    'background_image' => '',
                    'font_color' => '#ffffff',
                    'item_background_color' => '#444444',
                    'item_border_color' => '#000000',
                    'item_border_size' => 1,
                ),
                'feed' => Array(
                    'title_background_color' => '#dd3333',
                    'title_color' => '#ffffff',
                    'background_color' => '#2b2b2b',
                    'border_color' => '#000000',
                    'border_size' => 1,
                    'background_image' => '',
                    'font_color' => '#ffffff',
                    'item_background_color' => '#444444',
                    'item_border_color' => '#000000',
                    'item_border_size' => 1
                ),
                'feed_sticky' => Array(
                    'title_background_color' => '#dd3333',
                    'title_color' => '#FFFFFF',
                    'opener_image' => '',
                    'background_color' => '#2d2d2d',
                    'border_color' => '#000000',
                    'border_size' => 1,
                    'background_image' => '',
                    'font_color' => '#FFFFFF',
                    'item_background_color' => '#545454',
                    'item_border_color' => '#000000',
                    'item_border_size' => 3
                ),
                'feed_carousel' => Array(
                    'title_background_color' => '#dd3333',
                    'title_color' => '#ffffff',
                    //'background_color' => '#2b2b2b',
                    //'border_color' => '#000000',
                    //'border_size' => 1,
                    'background_image' => '',
                    'font_color' => '#ffffff',
                    'item_background_color' => '#444444',
                    'item_border_color' => '#000000',
                    'item_border_size' => 1
                )
            ),
            // Modern 2 Light
            'sb-modern2-light' => array(
                'layout' => 'modern2',
                'font_size' => '11',
                'social_colors' => $social_colors,
                'type_icons' => '',
                'custom_css' => '',
                'wall' => array(
                    //'background_color' => '#f3f3f3',
                    //'border_color' => '#d9d9d9',
                    //'border_size' => 1,
                    'background_image' => '',
                    'font_color' => '#000000',
                    'item_background_color' => '#ffffff',
                    'item_border_color' => '#e5e5e5',
                    'item_border_size' => 1
                ),
                'timeline' => Array(
                    'background_color' => '',
                    'border_color' => '',
                    'border_size' => 0,
                    'background_image' => '',
                    'font_color' => '#000000',
                    'item_background_color' => '#ffffff',
                    'item_border_color' => '#e5e5e5',
                    'item_border_size' => 1
                ),
                'feed' => Array(
                    'title_background_color' => '#dd3333',
                    'title_color' => '#ffffff',
                    'background_color' => '#f2f2f2',
                    'border_color' => '#e5e5e5',
                    'border_size' => 1,
                    'background_image' => '',
                    'font_color' => '#000000',
                    'item_background_color' => '#ffffff',
                    'item_border_color' => '#e2e2e2',
                    'item_border_size' => 1
                ),
                'feed_sticky' => Array(
                    'title_background_color' => '#dd3333',
                    'title_color' => '#FFFFFF',
                    'opener_image' => '',
                    'background_color' => '#f2f2f2',
                    'border_color' => '#d6d6d6',
                    'border_size' => 1,
                    'background_image' => '',
                    'font_color' => '#000000',
                    'item_background_color' => '#ffffff',
                    'item_border_color' => '#e2e2e2',
                    'item_border_size' => 1
                ),
                'feed_carousel' => Array(
                    'title_background_color' => '#dd3333',
                    'title_color' => '#ffffff',
                    //'background_color' => '#f2f2f2',
                    //'border_color' => '#e5e5e5',
                    //'border_size' => 1,
                    'background_image' => '',
                    'font_color' => '#000000',
                    'item_background_color' => '#ffffff',
                    'item_border_color' => '#e2e2e2',
                    'item_border_size' => 1
                )
            ),
            // Default Light
            'sb-default-light' => array(
                'layout' => 'default',
                'font_size' => '11',
                'social_colors' => $social_colors,
                'type_icons' => '',
                'custom_css' => '',
                'wall' => Array(
                    //'background_color' => '#f3f3f3',
                    //'border_color' => '#d9d9d9',
                    //'border_size' => 1,
                    'background_image' => '',
                    'font_color' => '#000000',
                    'item_background_color' => '#ffffff',
                    'item_border_color' => '',
                    'item_border_size' => 1
                ),
                'timeline' => Array(
                    'background_color' => '',
                    'border_color' => '',
                    'border_size' => 0,
                    'background_image' => '',
                    'font_color' => '#000000',
                    'item_background_color' => '#ffffff',
                    'item_border_color' => 'transparent',
                    'item_border_size' => 1
                ),
                'feed' => Array(
                    'title_background_color' => '#dd3333',
                    'title_color' => '#ffffff',
                    'background_color' => '#f2f2f2',
                    'border_color' => '#e5e5e5',
                    'border_size' => 1,
                    'background_image' => '',
                    'font_color' => '#050505',
                    'item_background_color' => '#ffffff',
                    'item_border_color' => '',
                    'item_border_size' => 1
                ),
                'feed_sticky' => Array(
                    'title_background_color' => '#dd3333',
                    'title_color' => '#FFFFFF',
                    'opener_image' => '',
                    'background_color' => '#f2f2f2',
                    'border_color' => '#e5e5e5',
                    'border_size' => 1,
                    'background_image' => '',
                    'font_color' => '#000000',
                    'item_background_color' => '#FFFFFF',
                    'item_border_color' => '',
                    'item_border_size' => 1
                ),
                'feed_carousel' => Array(
                    'title_background_color' => '#dd3333',
                    'title_color' => '#ffffff',
                    'background_color' => '#f2f2f2',
                    'border_color' => '#e5e5e5',
                    'border_size' => 1,
                    'background_image' => '',
                    'font_color' => '#050505',
                    'item_background_color' => '#ffffff',
                    'item_border_color' => '',
                    'item_border_size' => 1
                )
            ),
            // Flat Light
            'sb-flat-light' => array(
                'layout' => 'flat',
                'font_size' => '11',
                'social_colors' => $social_colors,
                'type_icons' => '',
                'custom_css' => '',
                'wall' => Array(
                    'background_color' => '',
                    'border_color' => '',
                    'border_size' => 1,
                    'background_image' => '',
                    'font_color' => '#000000',
                    'item_background_color' => '#ffffff',
                    'item_border_color' => '',
                    'item_border_size' => 1
                ),
                'timeline' => Array(
                    'background_color' => '',
                    'border_color' => '',
                    'border_size' => 1,
                    'background_image' => '',
                    'font_color' => '#000000',
                    'item_background_color' => '#ffffff',
                    'item_border_color' => 'transparent',
                    'item_border_size' => 2
                ),
                'feed' => Array(
                    'title_background_color' => '#dd3333',
                    'title_color' => '#ffffff',
                    'background_color' => '#ffffff',
                    'border_color' => '#cecece',
                    'border_size' => 1,
                    'background_image' => '',
                    'font_color' => '#000000',
                    'item_background_color' => '#ffffff',
                    'item_border_color' => '',
                    'item_border_size' => 2
                ),
                'feed_sticky' => Array(
                    'title_background_color' => '#dd3333',
                    'title_color' => '#ffffff',
                    'opener_image' => '',
                    'background_color' => '#ffffff',
                    'border_color' => '#545454',
                    'border_size' => 1,
                    'background_image' => '',
                    'font_color' => '#000000',
                    'item_background_color' => '#ffffff',
                    'item_border_color' => '#a3a3a3',
                    'item_border_size' => 2
                ),
                'feed_carousel' => Array(
                    'title_background_color' => '#dd3333',
                    'title_color' => '#ffffff',
                    'background_color' => '#ffffff',
                    'border_color' => '#cecece',
                    'border_size' => 1,
                    'background_image' => '',
                    'font_color' => '#000000',
                    'item_background_color' => '#ffffff',
                    'item_border_color' => '',
                    'item_border_size' => 2
                )
            ),
            // Modern Dark
            'sb-modern-dark' => array(
                'layout' => 'modern',
                'font_size' => '11',
                'social_colors' => $social_colors,
                'type_icons' => '',
                'custom_css' => '',
                'wall' => Array(
                    'background_color' => '#2d2d2d',
                    'border_color' => '#280000',
                    'border_size' => 1,
                    'background_image' => '',
                    'font_color' => '#ffffff',
                    'item_background_color' => '#444444',
                    'item_border_color' => '#050505',
                    'item_border_size' => 1
                ),
                'timeline' => Array(
                    'background_color' => '#2d2d2d',
                    'border_color' => '#280000',
                    'border_size' => 1,
                    'background_image' => '',
                    'font_color' => '#ffffff',
                    'item_background_color' => '#444444',
                    'item_border_color' => '#000000',
                    'item_border_size' => 1,
                ),
                'feed' => Array(
                    'title_background_color' => '#dd3333',
                    'title_color' => '#ffffff',
                    'background_color' => '#2b2b2b',
                    'border_color' => '#000000',
                    'border_size' => 1,
                    'background_image' => '',
                    'font_color' => '#ffffff',
                    'item_background_color' => '#444444',
                    'item_border_color' => '#000000',
                    'item_border_size' => 1
                ),
                'feed_sticky' => Array(
                    'title_background_color' => '#dd3333',
                    'title_color' => '#FFFFFF',
                    'opener_image' => '',
                    'background_color' => '#2d2d2d',
                    'border_color' => '#000000',
                    'border_size' => 1,
                    'background_image' => '',
                    'font_color' => '#FFFFFF',
                    'item_background_color' => '#545454',
                    'item_border_color' => '#000000',
                    'item_border_size' => 3
                ),
                'feed_carousel' => Array(
                    'title_background_color' => '#dd3333',
                    'title_color' => '#ffffff',
                    'background_color' => '#2b2b2b',
                    'border_color' => '#000000',
                    'border_size' => 1,
                    'background_image' => '',
                    'font_color' => '#ffffff',
                    'item_background_color' => '#444444',
                    'item_border_color' => '#000000',
                    'item_border_size' => 1
                )
            )
        );
    }

}
